略微加速

略速 - 互联网笔记

phpstorm选择PHP版本

2021-03-27 16:12:36 leiting (95阅读)

标签 PHP 软件

phpstorm默认PHP版本是5.6,开发的时候用的是7.3,在代码中有些不应该有错误提示的地方也被标记为错误。

选择PHP版本:


步骤:1:找到settings配置文件,快捷键(ctrl+alt+s),有的人可能用不起,原因是你的快捷键被占用了,不行就手动打开吧。

点击编辑器顶部File菜单=>找到Settings菜单=>找到languages & frameworks菜单=>打开PHP菜单=>找到下方composer菜单=>找到Synchronize IDE Settings with composer.json选项,把前面的勾去掉=>点击Apply=>回到上面PHP菜单=>选择下拉框切换PHP版本=>保存=>END

步骤2:找到languages & frameworks,点击下方PHP。如果你是前端开发者,则点击JavaScript即可设置。

步骤3: 先找到Composer菜单去掉Synchronize IDE Settings with composer.json,把前面的勾去掉;【提示】记得点击Apply按钮

步骤4:回到PHP菜单点击下拉框切换PHP版本。

步骤5:保存

 

END

 



北京半月雨文化科技有限公司.版权所有 京ICP备12026184号-3